%global upstreamname hipBLAS-common
%global rocm_release 6.3
%global rocm_patch 0
%global rocm_version %{rocm_release}.%{rocm_patch}

# there is no debug package
%global debug_package %{nil}

Name:           hipblas-common
Version:        %{rocm_version}
Release:        1%{?dist}
Summary:        Common files shared by hipBLAS and hipBLASLt
Url:            https://github.com/ROCm/%{upstreamname}
License:        MIT

Source0:        %{url}/archive/rocm-%{rocm_version}.tar.gz#/%{upstreamname}-%{rocm_version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  rocm-cmake

# Only x86_64 works right now:
ExclusiveArch:  x86_64

%description
%summary

%package devel
Summary:        Libraries and headers for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description devel
%{summary}

%prep
%autosetup -p1 -n %{upstreamname}-rocm-%{version}

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib}
%cmake_build

%install
%cmake_install

if [ -f %{buildroot}%{_prefix}/share/doc/hipblas-common/LICENSE.md ]; then
    rm %{buildroot}%{_prefix}/share/doc/hipblas-common/LICENSE.md
fi

%files devel
%license LICENSE.md
%dir %{_libdir}/cmake/%{name}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/cmake/%{name}/*.cmake

%changelog
* Tue Dec 10 2024 Tom Rix <Tom.Rix@amd.com> - 6.3.0-1
- Initial package

